ChatGPT
===

ChatGPT是OpenAI开发的人工智能聊天机器人程序，利用强化学习训练，能够进行复杂的语言任务如文本生成、问答和编程支持。

入门指南
---

### ChatGPT 介绍

ChatGPT，全称聊天生成预训练转换器（英语：Chat Generative Pre-trained Transformer），是 OpenAI 开发的人工智能聊天机器人程序，于2022年11月推出。

- 网址: <https://chatgpt.com/>

该程序使用基于GPT-3.5、GPT-4、GPT-4o架构的大型语言模型并以强化学习训练。ChatGPT目前仍以文字方式交互，而除了可以用人类自然对话方式来交互，还可以用于甚为复杂的语言工作，包括自动生成文本、自动问答、自动摘要等多种任务。如：在自动文本生成方面，ChatGPT可以根据输入的文本自动生成类似的文本（剧本、歌曲、企划等），在自动问答方面，ChatGPT可以根据输入的问题自动生成答案。还有编写和调试计算机程序的能力。

### 国内类似的平台

- [文心一言(百度)](https://yiyan.baidu.com/) _baidu.com_
- [通义千问(阿里)](https://tongyi.aliyun.com/) _aliyun.com_
- [混元(腾讯)](https://hunyuan.tencent.com/) _tencent.com_
- [豆包(字节跳动)](https://www.doubao.com/) _doubao.com_
- [天工Ai](https://www.tiangong.cn/) _tiangong.cn_
- [讯飞星火](https://xinghuo.xfyun.cn/) _xfyun.cn_

### 通用
<!--rehype:wrap-class=row-span-2-->

为你的公司或创意命名

```
你能为我的科技初创公司建议一个创意的名字吗？
帮我想一个有吸引力的名字，适合我的面包店生意。
```

为课程或培训项目创建大纲

```
请为初学者网页开发课程创建一个大纲。
能为客户服务研讨会制定一个培训计划大纲吗？
```

为特定职位提供面试问题

```
我在面试软件工程师职位，你能给我一些面试问题吗？
请为市场经理角色提供一些常见的面试问题。
```

为商业伙伴、客户或客户提供礼物想法

```
我需要给我的客户准备礼物，你能帮忙吗？
给我的商业伙伴们一些独特的礼物建议？
```

从名单或电子邮件中随机选择竞赛获奖者

```
我想从100个名字中选择一个获奖者，你可以帮忙吗？
从1000封电子邮件列表中随机选择5个作为赠品竞赛的获奖者，可以吗？
```

### 编程
<!--rehype:wrap-class=row-span-3-->

解释代码为什么不工作

```
为什么这段代码不起作用？
var x = 5;
var y = 0;
console.log(x/y);
```

解释代码的含义

```
这段代码是做什么的？
function addNumbers(a, b) {
    return a + b;
}
```

用指定的语言重写代码

```
把这段代码翻译成Python：
function addNumbers(a, b) {
    return a + b;
}
```

编写整个软件程序

```
编写一个计算给定数字阶乘的程序？
如何在JavaScript中发出HTTP请求？
```

生成正则表达式（regex）

```
创建一个匹配所有电子邮件地址的正则表达式？
生成一个匹配8位密码的正则表达式。
```

为代码库添加注释

```
为这段代码添加注释：
function addNumbers(a, b) {
    return a + b;
}
```

更改一行代码的CSS

```
更新这行代码的CSS，将字体颜色更改为蓝色？
<p class="example">Hello, Reference!</p>
```

更改一行代码的HTML

```
给这个标题标签添加一个"class"为"header"的类？
<h1>Hello, Reference!</h1>
```

### 电子邮件
<!--rehype:wrap-class=row-span-2-->

创建电子邮件活动

```
发送邀请小弟调调参加周末晚宴的电子邮件
为我们的新客户入职流程创建电子邮件序列
```

格式化和校对电子邮件

```
校对并格式化我刚写的这封电子邮件：
Hello, do you have any actual tips or tricks for ChatGPT please?
```
<!--rehype:className=wrap-text-->

提供有效电子营销的提示

```
给我一些关于如何提高电子邮件营销开启率和点击率的建议。

请提供一些使我的电子邮件内容对订阅者更具吸引力和相关性的建议。
```
<!--rehype:className=wrap-text-->

自动化电子邮件回复

```
通过电子邮件告知他，"这是一个好建议，很快就会实现"：
Hello, do you have any actual tips or tricks for ChatGPT please?
```
<!--rehype:className=wrap-text-->

从文本中提取电子邮件地址

```
为我从下面的文本中提取所有的电子邮件地址：
Sed sit amet sodales tom@gmail.com, at jack@cheatsheets.zip enim. 18261@outlook.com ut eros
```
<!--rehype:className=wrap-text-->

### 电子表格

帮助创建电子表格公式

```
你能帮我创建一个计算A1到A10单元格求和的公式吗？
```

解释公式的含义

```
你能简单解释一下 =SUM(A1:A10) 这个公式的含义吗？
```

为占位符创建虚拟数据

```
你能为我生成一些用作电子表格占位符的虚拟数据吗？
```

帮助创建复杂的宏

```
我需要创建一个宏，计算B1到B10单元格的平均值，并将结果插入到C1单元格中。你能帮我吗？
```
<!--rehype:className=wrap-text-->

提供提高电子表格效率的提示

```
你能给我一些提高电子表格效率的建议吗？
```

### 社交媒体

为任何主题提供模板创意

```
你能给我提供一些关于[主题]的模板创意吗？
```

为任何主题的帖子提供互动关联的想法

```
我想创建一个关于[主题]的帖子，能帮我想些创意吗，能吸引我的粉丝参与。
```
<!--rehype:className=wrap-text-->

生成标签和标题

```
我需要一些标签和一段风景日落图片的标题。你能为我生成一些吗？
```
<!--rehype:className=wrap-text-->

提供答复建议

```
我刚收到一条询问[主题]项目状态的消息。你能为我建议一条回复吗？
```
<!--rehype:className=wrap-text-->

### 阅读

总结长文选

```
你能为我总结一下这篇文章吗？[你的文本]
```

翻译外语

```
你能把这句话翻译成中文吗？[你的文本]
```

类似于另一本书的书籍推荐

```
你能推荐一些类似于《饥饿游戏》的书吗？
```

### 设计

为您创建一个AI设计提示

```
能帮我生成一个关于新体育品牌logo设计的设计提示吗？
```

缩略图建议用于博客或视频

```
能推荐一些吸引人的缩略图设计吗，用于我最新的视频，内容是健康饮食？
```
<!--rehype:className=wrap-text-->

字体搭配

```
能为旅行博客标题设计建议字体搭配吗？
```

颜色搭配

```
能为婚纱摄影网站推荐一个色彩搭配方案吗？
```

### 数据分析

从大段文本中提取数字

```
请从这段文本中提取所有的数字：[你的文本]
```

根据提供的文本或数据创建表格

```
能根据这些数据创建一个表格吗？：[你的数据]
```

从大列表中筛选数据

```
请根据特定标准筛选这个列表：[你的列表]
```

### 付费广告

提供广告创意建议

```
为新产品发布提供广告创意建议。
```

审核跟踪代码是否有错误（标签管理器等）

```
审查我的标签管理器代码，看看是否有错误。
```

提供广告文案建议

```
请提供一家[主题]公司的广告文案。
```

微博受众建议

```
为服装品牌广告活动推荐一个微博受众。
```

为您的广告创建正文、标题和/或行动号召

```
为新的[主题]计划广告创建标题、正文和行动号召。
```

### SEO
<!--rehype:wrap-class=col-span-2 row-span-2-->

生成或查找关键词

```
为 [主题] 生成一组相关连的关键词
识别 [主题] 内容优化的长尾关键词
查找 [主题] 的热门关键词
为 [主题] 生成一组LSI关键词
查找 [主题] 相关度低的关键词
创建 [主题] 关键词的同义词列表
查找 [主题] PPC广告活动的最佳关键词
查找 [主题] 语音搜索优化的最佳关键词
列出 [主题] 特色片段的最佳关键词
为 [主题] 视频优化找到最佳关键词
查找 [主题] 的最佳关键词
查找 [主题] AMP优化的最佳关键词
查找 [主题] 社交媒体优化的最佳关键词
```

更多关于 SEO 的 ChatGPT 提示

```
为 [主题] 创建元描述和标题标签
查找与 [主题] 相关的内部链接
为 [主题] 的博客文章和文章主题生成创意
研究行业特定术语以用于 [主题] 内容
查找权威网站以获取 [主题] 内容的反向链接
创建与 [主题] 相关的XML站点地图示例
研究 [主题] 的最佳元标签
研究 [主题] 内容的最佳内部链接结构
生成关于 [主题] 的常见问题列表
为与 [主题] 相关的图像创建最佳Alt标签列表
创建与 [主题] 相关的子主题列表
查找发布与 [主题] 相关内容的最佳时间
研究与 [主题] 相关的最佳外部链接策略
查找用于 [主题] SEO 的最受欢迎工具
创建与 [主题] 相关的潜在影响者列表
研究与 [主题] 相关的最佳Schema标记
查找 [主题] 内容的最佳标题标签
创建与 [主题] 相关的潜在链接建设机会列表
研究与 [主题] 反向链接相关的最佳锚文本
创建与 [主题] 相关的潜在客座博客机会列表
研究与 [主题] 相关的最佳本地SEO策略
研究用于 [主题] 网站性能的最佳分析工具
创建与 [主题] 相关的潜在合作伙伴列表
研究用于 [主题] 移动优化的最佳策略
研究用于 [主题] 电子商务优化的最佳策略。提供关键词群集。
创建与 [主题] 相关的潜在联盟营销机会列表
什么是与 [主题] 相关的最佳联盟营销网站？
什么是 [主题] 国际SEO的最佳策略？
创建与 [主题] 相关的潜在播客或播客客座机会列表
查找与 [主题] 相关的热门内容主题
研究用于 [主题] SEO 的最佳策略，并提供可操作步骤
创建与 [主题] 相关的潜在视频系列或网络研讨会想法列表
研究与 [主题] 相关的竞争者策略
查找与 [主题] 相关的规范标签示例
为 [主题] 制定一个示例关键词列表，以定位多个地理位置
生成针对 [主题] 客户购买漏斗不同阶段的关键词想法
识别与 [主题] 相关的行业标签
```

### 写作/博客
<!--rehype:wrap-class=row-span-2-->

为您的创意写作项目创建标题

```
我的短篇小说集的标题：[你的文章]
```

创建大纲

```
一篇关于运动的论文大纲。
```

生成内容创意

```
关于[主题]博客的创意？
```

总结您提供的任何文本

```
总结这篇关于可再生能源的文章？[你的文章]
```

撰写完整的博客文章

```
关于【财务规划】的博客文章？
```

扩展句子、段落或长文本选择

```
扩展这句关于爵士音乐的话？[你的句子]
```

改变写作的语气

```
将这份报告的语气改为对话式？[你的文章]
```

校对或编辑您的写作

```
校对这篇文章？[你的文章]
```

使用标题格式化文本（非常适合博客文章）

```
为我的博客文章格式化标题？[你的文章]
```

检查任何文本的偏见

```
检查这篇文章是否有偏见？[你的文章]
```

检测任何文本的抄袭

```
检测这篇论文是否有抄袭？[你的论文]
```

为您提供域名主意

```
为我的【园艺博客】提供一个域名？
```

### 撰写商业内容

撰写或重新撰写您的产品描述

```
请帮我为最新的商品撰写一个新的引人注目的产品描述。
```

撰写或重新撰写申诉信

```
请帮助重新撰写我的申诉信，使其更具说服力。
```

撰写或重新撰写供应商联络邮件

```
能帮我写一封有效的电子邮件，以联系潜在供应商吗？
```

帮助您找到可以打包销售的商品

```
请推荐一些适合我们客户的商品组合。
```

组织产品和定价数据

```
能帮我将产品和定价信息整理成一个整洁易管理的电子表格吗？
```
<!--rehype:className=wrap-text-->

### 教师/课程创建者

将事实或统计数据列表转换为多选测验

```
能将这份关于世界历史事实的列表转换成多选测验吗？[你的列表]
```
<!--rehype:className=wrap-text-->

特定主题的作业创意

```
我需要一些有关[主题]的历史作业的创意。你能建议一些吗？
```
<!--rehype:className=wrap-text-->

根据学生名单创建分组

```
我班上有30名学生名单。你能帮忙将他们分成6人一组做小组项目吗？
```
<!--rehype:className=wrap-text-->

基于考试成绩创建曲线

```
我需要根据他们的考试成绩为我的班级创建一个分数曲线。能帮忙吗？
```
<!--rehype:className=wrap-text-->

评分作业

```
能为这篇历史论文打分并提供改进意见吗？
```

### 视频

从剧本中创建时间戳

```
能为这篇播客剧本创建时间戳吗？[视频地址]
```

将视频转换为带格式的博客文章

```
能将这个关于烹饪的视频转换为带有标题和项目符号的博客文章吗？[视频链接]
```
<!--rehype:className=wrap-text-->

提出视频大纲或剧本

```
我需要一个关于冥想益处的视频大纲。你能帮忙吗？
```

回复评论

```
能为我的视频上的这条负面评论写一个有思想的礼貌回复吗？
```
<!--rehype:className=wrap-text-->

为您的缩略图提供创意

```
我需要一些关于"DIY家居装"的创意？
```

### 研究

帮助研究2021年之前发生的任何事情

```
以简单的术语解释量子计算
有没有关于10岁生日的创意想法？
如何在JavaScript中发起HTTP请求？
可以告诉我导致火山喷发的事件吗？
可以告诉我关于印刷机发明的信息吗？
可以总结一下奥林匹克运动会的历史吗？
可以给我关于文艺复兴的相关信息吗？
我对拜占庭帝国的历史很感兴趣。你能帮我了解更多吗？
等等...
```

## 参考资料

- [Awesome ChatGPT Prompts](https://github.com/f/awesome-chatgpt-prompts)
- [原始资料](https://github.com/Fechin/reference/blob/main/source/_posts/chatgpt.md)
- [ChatGPT](https://chatgpt.com/)
